Get a captured event
curl --request GET \
--url https://api.webhook.co/v1/events/{eventId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.webhook.co/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webhook.co/v1/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.webhook.co/v1/events/{eventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"provider": "stripe",
"dedupKey": "<string>",
"dedupStrategy": "sw_webhook_id",
"verified": true,
"payloadR2Key": "<string>",
"payloadBytes": 4503599627370495,
"contentType": "<string>",
"headers": [
[
"<string>",
"<string>"
]
],
"providerEventId": "<string>",
"externalId": "<string>",
"verification": {
"ok": true,
"keyId": "<string>",
"scheme": "stripe",
"authenticity": "token"
},
"verificationState": "verified",
"method": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}<string>Events
Get a captured event
GET
/
v1
/
events
/
{eventId}
Get a captured event
curl --request GET \
--url https://api.webhook.co/v1/events/{eventId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.webhook.co/v1/events/{eventId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.webhook.co/v1/events/{eventId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.webhook.co/v1/events/{eventId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"endpointId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"receivedAt": "2023-11-07T05:31:56Z",
"provider": "stripe",
"dedupKey": "<string>",
"dedupStrategy": "sw_webhook_id",
"verified": true,
"payloadR2Key": "<string>",
"payloadBytes": 4503599627370495,
"contentType": "<string>",
"headers": [
[
"<string>",
"<string>"
]
],
"providerEventId": "<string>",
"externalId": "<string>",
"verification": {
"ok": true,
"keyId": "<string>",
"scheme": "stripe",
"authenticity": "token"
},
"verificationState": "verified",
"method": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}<string>Authorizations
A whk_-prefixed API key (opaque; not a JWT).
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Response
Success.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Available options:
stripe, github, shopify, slack, standard_webhooks, clerk, resend, stytch, supabase, render, brex, openai, replicate, polar, gemini, incident_io, etsy, vanta, pusher, quickbooks, chargify, launchdarkly, modern_treasury, autodesk_aps, mongodb_atlas, xero, segment, aftership, onfleet, webflow, klaviyo, mux, shippo, buildkite, ms_teams, ably, squarespace, nylas, linkedin, tiktok, airship, lob, persona, bolt, primer, airwallex, affirm, keygen, constant_contact, telegram, mixpanel, new_relic, fillout, zapier, tally, loops, customer_io, framer, box, configcat, ashby, merge_dev, cronofy, increase, finch, knock, deel, razorpay, sentry, linear, dropbox, checkout_com, lemon_squeezy, coinbase_commerce, dwolla, gocardless, notion, meta, woocommerce, bitbucket, atlassian_jira, x, clickup, npm, heroku, dub, cal_com, asana, circleci, pagerduty, airtable, calendly, zoom, sinch, workos, front, zendesk, twitch, paddle, recurly, docusign, vercel, intercom, paystack, authorize_net, sanity, square, trello, twilio, mandrill, hubspot, adyen, mailgun, mercado_pago, braintree, contentful, plivo, typeform, messagebird, netlify, vonage, monday, jira_connect, discord, telnyx, sendgrid, wise, kinde, paypal, aws_sns, plaid, ebay, gitlab, microsoft_graph, chargebee, postmark, sparkpost, okta, bigcommerce, datadog, brevo, checkr, doppler, sendbird Available options:
sw_webhook_id, provider_event_id, content_hash, fields, unique Required range:
0 <= x <= 9007199254740991Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
Available options:
verified, authenticated, failed, unattempted Was this page helpful?